package com.yeejoin.amos.boot.module.tdc.api.enums;

import java.util.HashMap;
import java.util.Map;

public enum ModeNameProjectIdEnum {
    白鹤滩换流站("白鹤滩换流站","d2528788-b8d5-4170-ae62-edf153fddc59"),
    锦屏换流站("锦屏换流站","edf153fddc59");

    String amosOrgName;
    String projectId;

    ModeNameProjectIdEnum(String amosOrgName, String projectId) {
        this.amosOrgName = amosOrgName;
        this.projectId = projectId;
    }

    public String getAmosOrgName() {
        return amosOrgName;
    }

    public void setAmosOrgName(String amosOrgName) {
        this.amosOrgName = amosOrgName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public static Map<String,String> map = new HashMap<>();

    public static String getStateValue(String modelName){

        return map.get(modelName);
    }

    static{

        for(ModeNameProjectIdEnum ModeNameProjectIdEnum: ModeNameProjectIdEnum.values()){
            map.put(ModeNameProjectIdEnum.getAmosOrgName(),ModeNameProjectIdEnum.getProjectId());

        }

    }


}
